# $Revision: 1.40 $, $Date: 2012/02/13 14:08:32 $
# TODO:
#	- adapt src/ping.h to PLD ping
#
Summary:	GNOME interface for networking tools
Summary(pl.UTF-8):	Interfejs dla narzędzi sieciowych dla GNOME
Name:		gnome-nettool
Version:	3.0.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-nettool/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	922e7554102096f24a3519c93a8257fa
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgtop-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig >= 0.16
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	scrollkeeper
Requires:	hicolor-icon-theme
Suggests:	bind-utils
Suggests:	bsd-finger
Suggests:	net-tools
Suggests:	ping
Suggests:	traceroute
Suggests:	whois
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a GNOME GUI for the basic networking tools like ping, whois,
traceroute and dig.

%description -l pl.UTF-8
Graficzny interfejs użytkownika do podstawowych narzędzi sieciowych,
takich jak ping, whois, traceroute czy dig dla GNOME.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-nettool
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-nettool.gschema.xml
%{_datadir}/%{name}
%{_desktopdir}/gnome-nettool.desktop
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-nettool.spec,v $
Revision 1.40  2012/02/13 14:08:32  lisu
- up to 3.0.1
- tar.xz package

Revision 1.39  2011/04/12 16:03:58  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.38  2011/03/27 18:18:36  qboosh
- adjusted pl desc

Revision 1.37  2011/03/27 18:17:50  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.36.2.2  2011/03/18 18:20:14  wiget
- fix typo

Revision 1.36.2.1  2011/03/18 18:19:06  wiget
- up to 2.91.5

Revision 1.36  2011/02/04 18:23:51  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.35  2010/10/12 21:09:01  qwiat
- updated to 2.32

Revision 1.34  2010/05/13 20:08:17  megabajt
- updated to 2.30.0

Revision 1.33  2010/05/12 14:42:47  baggins
- rel 2
- more desktop categories

Revision 1.32  2010/01/06 02:04:33  sparky
- BR: docbook-dtd412-xml

Revision 1.31  2009/12/31 11:34:20  megabajt
- updated to 2.28.0

Revision 1.30  2009/11/25 01:48:30  sparky
- BR: libxml2-progs

Revision 1.29  2009/04/04 18:19:27  megabajt
- updated to 2.26.1

Revision 1.28  2009/03/18 16:19:37  patrys
- 2.26.0

Revision 1.27  2008/11/04 21:51:17  sls
- ver. 2.22.1

Revision 1.26  2008-04-16 23:14:38  sls
- Suggests: bind-utils for dig
- TODO about ping

Revision 1.25  2008-04-16 22:38:51  sls
- replace banner with Suggests

Revision 1.24  2008-04-11 19:21:22  sls
- ver. 2.22.0

Revision 1.23  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.22  2007/09/18 18:03:29  megabajt
- updated to 2.20.0; merged from DEVEL

Revision 1.21.2.2  2007/09/03 19:08:22  megabajt
- removed obsolete desktop patch
- updated deps
- release 1

Revision 1.21.2.1  2007/09/02 12:34:30  aflinta
- up to 2.19.90

Revision 1.21  2007/03/13 12:36:23  megabajt
- updated to 2.18.0

Revision 1.20  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.18  2006/09/05 21:25:40  grzegol
- 2.16.0

Revision 1.17  2006/08/21 16:31:08  freetz
- 2.15.92, updated deps

Revision 1.16  2006/08/11 16:30:00  freetz
- BR scrollkeeper for _omf_dest_dir macro

Revision 1.15  2006/08/11 16:21:30  freetz
- 2.15.91, package scrollkeeper docs, updated file list, post/postun calls
  for updating scrollkeeper/icon cache, updated deps

Revision 1.14  2006/05/18 20:16:57  freetz
- 2.14.2

Revision 1.13  2006/04/10 17:32:56  freetz
- 2.14.1

Revision 1.12  2006/04/02 15:31:27  freetz
- merged from DEVEL

Revision 1.11.2.3  2006/03/16 16:52:42  freetz
- 2.14.0

Revision 1.11.2.2  2006/02/27 20:59:34  freetz
- 2.13.91

Revision 1.11.2.1  2006/02/01 21:21:48  freetz
- 2.13.90

Revision 1.11  2005/10/04 21:33:39  freetz
- 1.4.1

Revision 1.10  2005/09/06 23:05:50  aflinta
- merged from DEVEL, 1.4.0

Revision 1.9.2.2  2005/08/24 08:24:39  aflinta
- missing dot i banner

Revision 1.9.2.1  2005/08/24 08:21:57  aflinta
- 1.3.92

Revision 1.9  2005/06/14 19:25:31  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.8  2005/03/20 20:38:45  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.7  2005/03/20 15:04:49  paladine
- merged from DEVEL
- proper license
- require some new stuff

Revision 1.6.2.2  2005/03/05 18:58:37  aflinta
- up to version 1.2.0

Revision 1.6.2.1  2005/02/02 16:29:09  grzegol
- updated to 1.1.0

Revision 1.6  2004/12/26 19:44:13  grzegol
- rel. 2

Revision 1.5  2004/12/26 19:32:31  grzegol
- updated to 1.0.0

Revision 1.4  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.3  2004/08/30 18:26:10  grzegol
- updated to 0.99.3
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.2  2004/08/20 11:32:26  aflinta
- up to verison 0.99.2

Revision 1.1  2004/07/23 23:28:05  grzegol
- new

